Subject: XFree source code updated
From: "Suhaib M. Siddiqi" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 3 Jun 1999 15:04:03 -0400

I have updated the XFree source code for Cygwin.  It is not final yet, but, I think this version should lead to an X-server for Cygwin in the near future. 

I will be providing only patches in future against this source code.  (Sorry, if you have to download again the whole thing...)  In future only patches will be posted to update the source code until a final X-server for Cygwin is released.  Over the last couple of weeks I changed a lot of stuff in the source code, therefore it is necessary to replace the older Xfree sources with this release.

From http://siddiqi.webjump.com, Download the XC-1.tar.gz  XC-2.tar.gz and XC-3.tar.gz.

Extraction of these tar balls will give a "xc" directory.

XFree86 3.3.3.1 is based upon X11R6.3 libraries, therefore X11R6.3 preinstalled libraries are required to successfully compile a few  client application in xc/programs directory. You can compile the X11R6.3 libraries from the sources (xc-1, xc-2, and xc-3) and install it  or you can download my precompiled X11R6.3 libraries for Cygwin B20.1.

Read the README.CYGWIN.TXT file, included in xc-1.tar.gz,  for further  instructions.

--Suhaib

--
Want to unsubscribe from this list?
Send a message to [email-masked]